Skip to main content
Snakream home page
Search...
⌘K
Ask AI
Search...
Navigation
Streams
Delete stream
Getting Started
Introduction
Quick Start
Concepts
Core
State & recovery
Advanced
Architecture
Overview
API
Overview
Buckets
Streams
PUT
Create stream
POST
Append
GET
Read stream
HEAD
Head stream
DEL
Delete stream
Bootstrap & Snapshots
v1 Compatibility
Example
Copy
Ask AI
curl
-X
DELETE
https://stream.tonbo.dev/ds/demo/hello
Streams
Delete stream
Delete a stream and its data.
DELETE
/
ds
/
{bucket}
/
{stream}
Try it
Example
Copy
Ask AI
curl
-X
DELETE
https://stream.tonbo.dev/ds/demo/hello
bucket
string
required
Bucket ID.
stream
string
required
Stream ID within the bucket.
Response
Status
Meaning
204
Stream deleted.
404
Stream not found.
Example
Copy
Ask AI
curl
-X
DELETE
https://stream.tonbo.dev/ds/demo/hello
Deletion is permanent. The stream’s data will be asynchronously garbage-collected after the delete is committed.
Head stream
Bootstrap
⌘I
Assistant
Responses are generated using AI and may contain mistakes.